*=================================================
* Appendix Table 2: correct response rates for numeracy
*=================================================

use "$clean_pba_numeracy", clear

local cols = 5 // full sample, each grade
local rows=  14

* Initializing the matrix
matrix results = J(`rows', `cols', .)
																 
local row = 1
local col = 1

*=== Saving column names 
global colnames "Full_sample G5_G6 G3 G5 G6 "
	local colnames="$colnames"
	matrix colnames results = `colnames'


forvalues i=1/14{
	sum question_`i'
				local mean: di %12.2f r(mean)	
				matrix results[`row', `col'] 	= `mean'
		local col=`col'+1

	sum question_`i' if grade_2020>3
				local mean: di %12.2f r(mean)	
				matrix results[`row', `col'] 	= `mean'
		local col=`col'+1		
		
	sum question_`i' if grade_2020==3
				local mean: di %12.2f r(mean)	
				matrix results[`row', `col'] 	= `mean'
		local col=`col'+1

	sum question_`i' if grade_2020==5
				local mean: di %12.2f r(mean)	
				matrix results[`row', `col'] 	= `mean'
		local col=`col'+1
		
	sum question_`i' if grade_2020==6
				local mean: di %12.2f r(mean)	
				matrix results[`row', `col'] 	= `mean'

	local row=`row'+1	
	local col=1
}


matlist results
