/*
MASTER FILE: VALIDATION OF PHONE-BASED ASSESSMENTS IN KENYA====

[ PROJ ] Impact evaluation
[ AUTH ] Dan Rodriguez
[ INIT ] 30 December 2020
[ UPDT ] 17 September 2022
*/

cls
clear all
set more off, perm
macro drop _all 

*============================================

* Clean up of data
global main_folder ""

global code "$main_folder/Code"
global data "$main_folder/Data"

	global full_data "$clean_data/Full_panel_scores_data.dta"
		
	global clean_pba_literacy "$clean_data/Literacy_PBA"
		global clean_pba_lit_percentile "$clean_data/Literacy_PBA_percentiles.dta"
			
	global clean_pba_numeracy "$clean_data/Numeracy_PBA"		
		global clean_pba_num_percentile "$clean_data/Numeracy_PBA_percentiles.dta"
		