*============================================
* Appendix Figure 3: Creating ICC/IIF for tests
*============================================

use "$clean_pba_lit_percentile", clear
global irt_nmbr_paramtrs "2pl"

*==== Spelling
irt $irt_nmbr_paramtrs spelling_1-spelling_4 oral_comprehension_1-oral_comprehension_4
	irtgraph icc spelling_1-spelling_4 oral_comprehension_1-oral_comprehension_4, plocation  xtitle("Theta (student ability)", size(medsmall)) ytitle("Probability of answering correctly", size(small)) title("Item Characteristic Curves for Spelling and Oral Comprehension Sections, Grade 3", size(medsmall))  legend(order(1 "Spelling Q1: Sick" 2 "Spelling Q2: When" 3 "Spelling Q3: Fight" 4 "Spelling Q4: Children" 5 "Oral comp Q1: What did the pupils wear to the sports day?" 6 "Oral comp Q2: Why was Nuru getting better at football?" 7 "Oral comp Q3: What football skills did Nuru have?" 8 "Oral comp Q4: Why were the other pupils proud of Nuru?") cols(1)) legend( rows(8)  size(vsmall))
	
	
	irtgraph iif, xtitle("Theta (student ability)") ytitle("Information") title("Item Information Function for Spelling and Oral Comprehension Sections, Grade 3", size(medsmall)) legend(order(1 "Spelling Q1: Sick" 2 "Spelling Q2: When" 3 "Spelling Q3: Fight" 4 "Spelling Q4: Children" 5 "Oral comp Q1: What did the pupils wear to the sports day?" 6 "Oral comp Q2: Why was Nuru getting better at football?" 7 "Oral comp Q3: What football skills did Nuru have?" 8 "Oral comp Q4: Why were the other pupils proud of Nuru?") cols(1)) legend( rows(8)  size(vsmall))
	
