*=================================================
* Appendix Table 2: correct response rates for literacy
*=================================================

use "$clean_pba_literacy", clear

local cols = 1 // full sample, each grade
local rows=  11	

* Initializing the matrix
matrix results = J(`rows', `cols', .)
																 
local row = 1
local col = 1

*=== Saving column names 
global colnames "Full_sample"
	local colnames="$colnames"
	matrix colnames results = `colnames'


*=== Saving column names 
global rownames "Fluency_1 Fluency_2 Vocabulary Spelling_1 Spelling_2 Spelling_3 Spelling_4 Oral_comp_1 Oral_comp_2 Oral_comp_3 Oral_comp_4"
	local rownames="$rownames"
	matrix rownames results = `rownames'
	
  
foreach i in fluency_1 fluency_2  vocabulary spelling_1 spelling_2 spelling_3 spelling_4 oral_comprehension_1 oral_comprehension_2 oral_comprehension_3 oral_comprehension_4{
	sum `i'
				local mean: di %12.2f r(mean)	
				matrix results[`row', `col'] 	= `mean'

	local row=`row'+1	
}

matlist results
